# VkMemoryHeap(3) Manual Page

## Name

VkMemoryHeap - Structure specifying a memory heap

Loading… please wait.

## C Specification

The `VkMemoryHeap` structure is defined as:

    // Provided by VK_VERSION_1_0
    typedef struct VkMemoryHeap {
        VkDeviceSize         size;
        VkMemoryHeapFlags    flags;
    } VkMemoryHeap;

## Members

- `size` is the total memory size in bytes in the heap.

- `flags` is a bitmask of VkMemoryHeapFlagBits specifying attribute flags for the heap.

## Description

## See Also

VK_VERSION_1_0, VkDeviceSize, VkMemoryHeapFlags, VkPhysicalDeviceMemoryProperties

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2024 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0